Error installing ADT plugin in Eclipse


Last Updated:

  1. janobarnardsa

    janobarnardsa Member

    When I try to install the Eclipse ADT plugin for Android SDK, I get an error saying 'org.eclipse.wst.sse.core.0.0.0' could not be found. I get this when trying to install Android Development Tools. I have Win 7 32bit and Eclipse 3.7.2. I downloaded the offline ADT. Any ideas?

    Advertisement
  2. DonB

    DonB ♡ Spidey Sense !! ♡ ™ Moderator

    Welcome to AF, what phone are you using at the moment ??
  3. janobarnardsa

    janobarnardsa Member

    Thanks, a HTC Legend.
  4. janobarnardsa

    janobarnardsa Member

    To be more precise about my problem. I am using Eclipse Indigo and this is the error I get when trying to install the ADT plugin:

    Cannot complete the install because one or more required items could not be found.
    Software being installed: Android Development Tools 18.0.0.v201203301601-306762 (com.android.ide.eclipse.adt.feature.group 18.0.0.v201203301601-306762)
    Missing requirement: Android Development Tools 18.0.0.v201203301601-306762 (com.android.ide.eclipse.adt.feature.group 18.0.0.v201203301601-306762) requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found

    Please help. It's URGENT.
  5. DonB

    DonB ♡ Spidey Sense !! ♡ ™ Moderator

    janobarnardsa likes this.
  6. janobarnardsa

    janobarnardsa Member

    Thanks DonB :)
  7. janobarnardsa

    janobarnardsa Member

    Host OS: Windows 7 Ultimate
    SDK tools version (available in the "About" section of the 'android' tool
    UI):r19
    Eclipse version:Indigo 3.7.2
    ADT plug-in version:18.0.0
    Platform targeted by your project:-
    Version of the platform running in the emulator:-

    STEPS TO REPRODUCE:
    1.Start Eclipse, then select Help > Install New Software....
    2.Click Add, in the top-right corner
    3.In the Add Repository dialog that appears, click archive. Then select archive downloaded from ADT Plugin for Eclipse | Android Developers.
    4.Click OK, then Next to start installing the plugin.

    EXPECTED RESULTS:

    Plugin will install successfully.

    OBSERVED RESULTS:

    An error is displayed:

    Cannot complete the install because one or more required items could not be found.
    Software being installed: Android Development Tools 18.0.0.v201203301601-306762 (com.android.ide.eclipse.adt.feature.group 18.0.0.v201203301601-306762)
    Missing requirement: Android Development Tools 18.0.0.v201203301601-306762 (com.android.ide.eclipse.adt.feature.group 18.0.0.v201203301601-306762) requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found

    ADDITIONAL INFORMATION:
    Please contact me by email: janobarnard@gmail.com or post to http://androidforums.com/introductions/543787-error-installing-adt-plugin-eclipse.html . It is URGENT and nobody can help me.
  8. GeorgeN

    GeorgeN Well-Known Member

    Check you have the Indigo software repository enabled. Go to "Help -> Install new software" then if the drop down list doesn't contain "Indigo repository" or something similar, click add and create the repository "Indigo repository" with the location "http://download.eclipse.org/releases/indigo/".
    Adr990 and K23Meow like this.
  9. nagalakshmi

    nagalakshmi New Member

    Hi,

    I am also facing same issue. In my eclipse already having indigo already. still facing issue.. how can i solve this error.

    thanks
  10. Entirebox

    Entirebox New Member

Share This Page